{{/*
Полное имя для сервиса nbiotgate
<Имя инстанса> = Release.Name
*/}}
{{- define "nbiotgate.fullname" -}}
{{- printf "%s-%s" "nbiotgate" .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
 метка nbiotgate
*/}}
{{- define "nbiotgate.labels" -}}
app.kubernetes.io/component: nbiotgate
{{ include "nbiotgate.selectorLabels" . }}
{{- end }}

{{/*
Selector nbiotgate
*/}}
{{- define "nbiotgate.selectorLabels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app.kubernetes.io/name: {{ .Chart.Name }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
app: {{ include "nbiotgate.fullname" . }}
{{- end }}

{{/*
Имя config-nbiotgate для nbiotgate
*/}}
{{- define "nbiotgate.config" -}}
{{- printf "%s-%s" "nbiotgate-application" .Release.Name  | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}
